# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::Overlay Class Reference

Class managing instrumentation overlay.

`#include <overlay.h>`

Collaboration diagram for dirac_instr::Overlay:

[legend]

List of all members.

## Public Member Functions

- Overlay (const OverlayParams &, Frame &)
    constructor
- ~Overlay ()
    Destructor.
- void ProcessFrame (const MEData &, const OLBParams &)
- void ProcessFrame ()

## Private Member Functions

- void DoOverlay (const MEData &)
    Manages overlay based on command-line option.
- void CalculateFactors (const ChromaFormat &)
    Calculates chroma sample factors.
- void PadFrame (const MEData &)
    Calculates if frame requires padding.
- void GlobalMotionDifference (const MEData &, MvArray &)
    Remove global motion from block motion.

## Private Attributes

- int m_mv_scale
    Temporal scaling factor for motion vectors.
- int m_ref
    Local copy of reference offset.
- const OverlayParams m_oparams
    Overlay parameters.
- Frame & m_frame
    Local reference to frame.
- DrawFrameMotionParams m_draw_params
    Parameters for drawing frame overlays.

## Constructor & Destructor Documentation

dirac_instr::Overlay::Overlay | ( | const OverlayParams & | ,
|  | Frame & |  |
| ) |  |  |

dirac_instr::Overlay::~Overlay | ( |  | ) |

## Member Function Documentation

void dirac_instr::Overlay::ProcessFrame | ( | const MEData & | ,
|  | const OLBParams & |  |
| ) |  |  |

void dirac_instr::Overlay::ProcessFrame | ( |  | ) |

void dirac_instr::Overlay::DoOverlay | ( | const MEData & |  | ) | `[private]`

void dirac_instr::Overlay::CalculateFactors | ( | const ChromaFormat & |  | ) | `[private]`

void dirac_instr::Overlay::PadFrame | ( | const MEData & |  | ) | `[private]`

void dirac_instr::Overlay::GlobalMotionDifference | ( | const MEData & | ,
|  | MvArray & |  |
| ) |  |  | `[private]`

## Member Data Documentation

int dirac_instr::Overlay::m_mv_scale `[private]`

int dirac_instr::Overlay::m_ref `[private]`

const OverlayParams dirac_instr::Overlay::m_oparams `[private]`

Frame& dirac_instr::Overlay::m_frame `[private]`

DrawFrameMotionParams dirac_instr::Overlay::m_draw_params `[private]`

The documentation for this class was generated from the following file:

- overlay.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.